/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  07.06.2006
   Letzte Änderung: 12.11.2010
*/


// einfache Plausibilitätsprüfung mit try Exception

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


public class Plausi1 extends JFrame {

  JLabel jLabel1 = new JLabel();
  JTextField TMatrikelNr = new JTextField();

  JButton BnOk = new JButton();
  JButton BnESC = new JButton();

  public Plausi1() {
    setSize(400, 200);
    setTitle("Plausibilität 1. Beispiel");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
  }

  private void setGUI() {
    this.getContentPane().setLayout( new GridBagLayout() );

    jLabel1.setText("MatrikelNr");
    TMatrikelNr.setText("-");

    this.getContentPane().add(jLabel1, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0,20,0,0), 0, 6));

    this.getContentPane().add(TMatrikelNr,   new GridBagConstraints(1, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0,20,0,20), 00, 0));

    JPanel panel1 = new JPanel();
    panel1.setLayout( new FlowLayout() );
    panel1.add(BnOk);
    panel1.add(BnESC);

    this.getContentPane().add(panel1,
                new GridBagConstraints(0, 1, 2, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(30,00,0,0), 0, 0));

    BnOk.setText("Ok");
    BnOk.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        BnOk_actionPerformed(e);
      }
    });
    BnESC.setText("Abbruch");
    BnESC.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        BnESC_actionPerformed(e);
      }
    });

  }




  void BnOk_actionPerformed(ActionEvent e) {
    String s;
    int MatNr;
    s = TMatrikelNr.getText();
    if (s.length() == 0) {
        System.err.println("Bitte einen Eintrag in das Feld Matriklnummer eintragen");
        TMatrikelNr.requestFocus();  // setzt den Foucs auf das GUI-Element 
        return;
    }
    else {
        try {
            MatNr = Integer.valueOf(s).intValue();
        }
        catch (NumberFormatException e2) {
          System.err.println("Bitte eine gueltige Nummer eintragen");
          TMatrikelNr.requestFocus();  // setzt den Foucs auf das GUI-Element 
          return;
        }
        System.out.println("Ausgabe der Matrikelnummer: "+MatNr);
        return;
    }
   }  // BnOk


  void BnESC_actionPerformed(ActionEvent e) {
    System.exit(0);
  }

 public static void main(String[] args) {
    Plausi1 frame = new Plausi1();
    frame.setVisible(true);
 }


}


